High-Level Data Reduction Library: tests/hdrl_prototyping-test.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_prototyping-test.c File Reference
`#include "hdrl_prototyping.h"`
`#include <cpl.h>`
Include dependency graph for hdrl_prototyping-test.c:

## Functions
void | test_prototyping_spatial_freq (void)
void | test_mime_image_polynomial_bkg (void)
void | test_mime_compute_polynomial_bkg (void)
void | test_mime_legendre_polynomials_create (void)
void | test_mime_legendre_tensors_create (void)
void | test_mime_matrix_linspace_create (void)
void | test_mime_matrix_copy_column (void)
void | test_mime_linalg_pairwise_column_tensor_products_create (void)
void | test_mime_linalg_tensor_products_columns_create (void)
void | test_mime_tensor_weights_create (void)
void | test_mime_matrix_mask_rows (void)
void | test_mime_matrix_rescale_rows (void)
void | test_mime_linalg_solve_tikhonov (void)
void | test_mime_linalg_normal_equations_create (void)
void | test_mime_matrix_product_left_transpose_create (void)
void | test_mime_matrix_product (void)
int | main (void)
| Unit tests of parameter module.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Unit tests of parameter module.

## ◆ test_mime_compute_polynomial_bkg()

void test_mime_compute_polynomial_bkg | ( | void |  | ) |

## ◆ test_mime_image_polynomial_bkg()

void test_mime_image_polynomial_bkg | ( | void |  | ) |

## ◆ test_mime_legendre_polynomials_create()

void test_mime_legendre_polynomials_create | ( | void |  | ) |

## ◆ test_mime_legendre_tensors_create()

void test_mime_legendre_tensors_create | ( | void |  | ) |

## ◆ test_mime_linalg_normal_equations_create()

void test_mime_linalg_normal_equations_create | ( | void |  | ) |

## ◆ test_mime_linalg_pairwise_column_tensor_products_create()

void test_mime_linalg_pairwise_column_tensor_products_create | ( | void |  | ) |

## ◆ test_mime_linalg_solve_tikhonov()

void test_mime_linalg_solve_tikhonov | ( | void |  | ) |

## ◆ test_mime_linalg_tensor_products_columns_create()

void test_mime_linalg_tensor_products_columns_create | ( | void |  | ) |

## ◆ test_mime_matrix_copy_column()

void test_mime_matrix_copy_column | ( | void |  | ) |

## ◆ test_mime_matrix_linspace_create()

void test_mime_matrix_linspace_create | ( | void |  | ) |

## ◆ test_mime_matrix_mask_rows()

void test_mime_matrix_mask_rows | ( | void |  | ) |

## ◆ test_mime_matrix_product()

void test_mime_matrix_product | ( | void |  | ) |

## ◆ test_mime_matrix_product_left_transpose_create()

void test_mime_matrix_product_left_transpose_create | ( | void |  | ) |

## ◆ test_mime_matrix_rescale_rows()

void test_mime_matrix_rescale_rows | ( | void |  | ) |

## ◆ test_mime_tensor_weights_create()

void test_mime_tensor_weights_create | ( | void |  | ) |

## ◆ test_prototyping_spatial_freq()

void test_prototyping_spatial_freq | ( | void |  | ) |